Skip to main content
GET
/
payments
/
transactions
Get All Transactions
curl --request GET \
  --url https://api.rootfi.dev/v4/payments/transactions \
  --header 'api_key: <api-key>'
{
  "data": [
    {
      "rootfi_id": 8001,
      "rootfi_deleted_at": null,
      "rootfi_created_at": "2025-01-05T12:00:00Z",
      "rootfi_updated_at": "2025-01-05T12:00:00Z",
      "rootfi_company_id": 999,
      "platform_id": "pay_stripe_001",
      "type": "PAYMENT",
      "invoice_id": "54321",
      "order_id": "ord_001",
      "subscription_id": "sub_001",
      "contact_id": "12345",
      "currency_id": "USD",
      "amount": 1075,
      "status": "PAID",
      "payment_method_type": "CARD",
      "gateway": "stripe",
      "gateway_transaction_id": "ch_stripe_12345",
      "reference_number": "TXN-2025-001",
      "description": "Payment for INV-2025-001",
      "created_at": "2025-01-05T12:00:00Z",
      "updated_at": "2025-01-05T12:00:00Z"
    }
  ],
  "prev": "eyJyb290ZmlfaWQiOjQ0MDA2MX0=",
  "next": "eyJyb291ZmlfaWQiOjQ0MDA2MX0=",
  "total_count": 123
}
The Transactions Data Model is a unified model that consolidates all monetary movements - payments, refunds, credit notes, fees, chargebacks, and more. Use the type filter to query specific transaction types.

Authorizations

api_key
string
header
required

Query Parameters

limit
integer | null

The number of transactions you want to retrieve

next
string | null

The next page of objects to retrieve

prev
string | null

The previous page of objects to retrieve

select
string | null

Comma separated fields to select. Supported values are raw_data, data_hash

type
enum<string> | null

Filter by transaction type. Supported values are PAYMENT, REFUND, CREDIT_NOTE, FEE, CHARGEBACK, PAYOUT, ADJUSTMENT. Use type=PAYMENT to retrieve payment transactions (replaces deprecated /payments/payments endpoint).

Available options:
PAYMENT,
REFUND,
CREDIT_NOTE,
FEE,
CHARGEBACK,
PAYOUT,
ADJUSTMENT
invoice_id
string | null

Filter by invoice_id to get all transactions for a specific invoice.

subscription_id
string | null

Filter by subscription_id to get all transactions for a specific subscription.

status
enum<string> | null

Filter by transaction status. Supported values are DRAFT, REQUIRES_ACTION, PENDING, AUTHORIZED, PAID, FAILED, CANCELED, REFUNDED.

Available options:
DRAFT,
REQUIRES_ACTION,
PENDING,
AUTHORIZED,
PAID,
FAILED,
CANCELED,
REFUNDED
gateway
string | null

Filter by payment gateway/processor name (e.g., stripe, razorpay).

expand
string | null

Comma separated fields to expand. Supported values are invoice, order, subscription, contact, original_transaction.

include_deleted_records
string | null

Include deleted records. By default, deleted records are not included. Supported values are true and false

rootfi_updated_at[gte]
string | null

Filter by rootfi_updated_at Greater than or Equal To.

rootfi_company_id[eq]
integer | null

Filter by rootfi_company_id. You can filter by any field using this syntax field_name[operator]

return_count
string | null

Return the count of the objects. Supported values are true and false

sort[rootfi_created_at]
enum<string> | null

Sort by rootfi_created_at

Available options:
ASC,
DESC
sort[rootfi_updated_at]
enum<string> | null

Sort by rootfi_updated_at

Available options:
ASC,
DESC

Response

The data of the transactions endpoint.

data
paymentsTransactionsObject · object[]
required
prev
string | null

The previous page of objects to retrieve

next
string | null

The next page of objects to retrieve

total_count
integer | null

The total count of the objects